pacman: Pakete anzeigen, welche keine Abhängigkeit (mehr) sind

Dieses Thema im Forum "Arch Linux" wurde erstellt von Zico, 19.01.2008.

  1. Zico

    Zico Lebende Foren Legende

    Dabei seit:
    16.04.2004
    Beiträge:
    1.559
    Zustimmungen:
    0
    Hallo ihr Archer

    In der letzten Zeit is mein Arch System extrem gewachsen und läuft auch schon Monate lang ohne Unterbrechungen.
    Am Anfang habe ich Pakete um Pakete installiert und deinstalliert. Dabei habe ich manchmal jedoch beim Entfernen selbiger öfters nur -R statt -Rcs benutzt. Da nun mit Sicherheit viele Pakete noch installiert sind, die nur als Abhängigkeit für andere (ggf nicht mehr vorhandene) vorhanden sind und ich allgemein ein wenig aufräumen möchte frag ich mich gerade, ob es eine Möglichkeit gibt,

    - mir alle Pakete anzeigen zu lassen, welche *NICHT* als Abhängigkeit für andere dienen. Also so gesehen das Genaue Gegenteil von -Qd.

    Natürlich könnte ich -Qa > FILE1 , dann -Qd > FILE2 und danach diff FILE1 FILE2 machen, aber
    a) Ich weiss nicht genau, ob pacman bei -Qd noch überblickt, *ob* die Dependencies schon keine wirklichen mehr sind sind (und das will ich ja rausfinden) und
    b) frag ich mich obs nen einfacheren/besseren Weg dazu gibt.

    Bei 518 Paketen will ich mich auch nicht händisch komplett durchwursteln und ich denke mir, dass es da auch was für solch faule Menschen wie mich geben muss. :)

    Gruß
    zico
     
  2. Anzeige

    Schau dir mal diesen Ratgeber an. Viele Antworten inkl. passender Shell-Befehle!
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  3. #2 Libexec, 19.01.2008
    Libexec

    Libexec Unix Fan

    Dabei seit:
    26.11.2007
    Beiträge:
    33
    Zustimmungen:
    0
    Ort:
    /home
    Vielleicht hilft
    Code:
    pacman -Qdt
    dir.

    Zitat:
    Code:
    Verwaiste Pakete anzeigen, die als Abhängigkeiten installiert wurden, aber nicht mehr von anderen Paketen benötigt werden
     
  4. #3 Zico, 19.01.2008
    Zuletzt bearbeitet: 19.01.2008
    Zico

    Zico Lebende Foren Legende

    Dabei seit:
    16.04.2004
    Beiträge:
    1.559
    Zustimmungen:
    0
    Coole Sache - Danke dir. Habe diese Option tatsächlich übersehen.
    Hat zwar nicht viel Speicherplatz freigeräumt aber 5 unnötige Pakete identifiziert. So mag ich das. :)
     
  5. akuta

    akuta Grünschnabel

    Dabei seit:
    13.07.2008
    Beiträge:
    5
    Zustimmungen:
    0
    Das gibts dann auch noch.


    pacman -Qet

    Pakete anzeigen, die ausdrücklich installiert wurden, aber nicht von anderen als Abhängigkeit benötigt werden
     
  6. Buchi

    Buchi Routinier

    Dabei seit:
    25.05.2006
    Beiträge:
    375
    Zustimmungen:
    0
    Ort:
    Wien
    Und falls es dir auf den Speicherplatz ankommt, kannst noch die ganzen temporären mit

    pacman -Scc

    löschen.

    MfG,
    Buchi
     
Thema:

pacman: Pakete anzeigen, welche keine Abhängigkeit (mehr) sind

Die Seite wird geladen...

pacman: Pakete anzeigen, welche keine Abhängigkeit (mehr) sind - Ähnliche Themen

  1. Artikel: Pacman – Der Paketmanager von Arch Linux

    Artikel: Pacman – Der Paketmanager von Arch Linux: Einer der großen Vorzüge der Linux-Distribution Arch Linux ist ihr Paketmanager »Pacman« und seine Buildtools. Trotz der sehr umfangreichen und...
  2. Pacman Updateproblem

    Pacman Updateproblem: Hi, bin noch Archanfänger und hab ein kleines Problem. Hab auch schon im Wiki gesucht, jedoch nichts passendes gefunden :/ sudo pacman -Syu...
  3. pacman verabschiedet sich mit 'segmentation fault'

    pacman verabschiedet sich mit 'segmentation fault': Tag auch. Ich suche jetzt seit 2 Tagen nach einer Lösung für mein Problem und dachte ein paar mal, sie gefunden zu haben - letztendlich steh ich...
  4. pacman will mir strange Updates andrehen...

    pacman will mir strange Updates andrehen...: Hi an alle, Ich weiß nicht ob's nur mir so geht, aber ich habe hier folgendes mir schleierhaftes Paradoxon vorliegen: Wenn ich per pacman...
  5. Probleme mit "pacman -U"

    Probleme mit "pacman -U": Hallo ! Ich wollte eine ältere Wine-Version installieren. Doch bei den verschiedensten Versionen gabs immer wieder diesen Fehler :-(...